Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.widget
Interface PropertyWidget

All Superinterfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.util.Selectable, edu.stanford.smi.protege.widget.SlotWidget, edu.stanford.smi.protege.widget.Widget

All Known Implementing Classes:
  AbstractClassDefinitionWidget, AbstractConditionsWidget, AbstractPropertyTypesWidget, AbstractPropertyWidget, AllDifferentWidget, AnnotationTextAreaWidget, AssertedConditionsWidget, ClassAnnotationsAndDescriptionWidget, ClassDescriptionWidget, ClassFormWidget, ClassTypeConverterWidget, ConditionsWidget, DisjointClassesWidget, InferredConditionsWidget, LogicClassDefinitionWidget, MultiWidgetPropertyWidget, NameDocumentationWidget, OntologyURIWidget, OWLDatatypePropertyTypesWidget, OWLDateTimeWidget, OWLDateWidget, OWLDomainWidget, OWLInversePropertyWidget, OWLMetadataWidget, OWLNamespacesWidget, OWLObjectPropertyTypesWidget, OWLRangeWidget, OWLTimeWidget, PropertiesClassDefinitionWidget, PropertiesSuperclassesWidget, PropertyRestrictionsTreeWidget, RDFPropertyTypesWidget, RDFSNamedClassMetadataWidget, SwitchableClassDefinitionWidget

    public interface PropertyWidget

extends edu.stanford.smi.protege.widget.SlotWidget

Author:
  Holger Knublauch

Method Summary
`RDFResource` | `getEditedResource()`
`edu.stanford.smi.protege.model.Instance` | `getInstance()` Deprecated.
`OWLModel` | `getOWLModel()`
`RDFProperty` | `getRDFProperty()`
`edu.stanford.smi.protege.model.Slot` | `getSlot()` Deprecated.

Methods inherited from interface edu.stanford.smi.protege.widget.SlotWidget
`getAssociatedCls, getCls, getDefaultToolTip, setAssociatedCls, setDefaultToolTip, setInstance, setup`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`configure, getDescriptor, getKnowledgeBase, getLabel, getProject, initialize, setLabel`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### getEditedResource

    RDFResource getEditedResource()

### getInstance

    edu.stanford.smi.protege.model.Instance getInstance()

  Deprecated.

  Specified by:
    `getInstance` in interface `edu.stanford.smi.protege.widget.SlotWidget`
  See Also:
    `getEditedResource()`

### getOWLModel

    OWLModel getOWLModel()

### getRDFProperty

    RDFProperty getRDFProperty()

### getSlot

    edu.stanford.smi.protege.model.Slot getSlot()

  Deprecated.

  Specified by:
    `getSlot` in interface `edu.stanford.smi.protege.widget.SlotWidget`
  See Also:
    `getRDFProperty()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.